plotDistributions {arrayMagic} | R Documentation

## Visualise Distributions

### Description

Boxplot like visualisation of distributions, only the boxes, i.e. the median and the second and third quartile are plotted (cf. `boxplot.stats` for the details on the calculation). The plots may help to identify shortcomings of the raw data or normalised data. The argument `quantiles` can be used to visualize two or three arbitrary quantiles with boxes.

### Usage

    plotDistributions(dataMatrix, transFunc, quantiles, main, labels, xlab, ylab, colourVector, width=8, height=6, fileName="plotDistributionsOutput", savePath, plotOutput="standard")

### Arguments

`dataMatrix` | numeric data matrix, where columns represent distributions, e.g. raw array data or normalised data; required; default missing
`transFunc` | unary function; optional; default missing. Data transformation function, e.g. log
`quantiles` | missing by default; a vector of two or three increasing quantiles used to determine the boxes to be drawn
`main` | plot title; type character string; optional; default missing
`labels` | vector of names, may substitute column names of `dataMatrix`; optional; default missing
`xlab` | label for x axis; type character string; optional; default missing
`ylab` | label for y axis; type character string; optional; default missing
`colourVector` | vector of colours; optional; default missing
`width` | graphics window width; required; default: 8
`height` | graphics window height; required; default: 6
`fileName` | optional; default: "plotDistributionsOutput"
`savePath` | optional; default: missing
`plotOutput` | character string specifying either "standard", "screen", "pdf", "win.metafile"; default: "standard"

### Details

Default of `transFunc` is no transformation, i.e. identity. If `labels` are supplied at first the column names or secondly a numbering are used instead. By default the `colourVector` is defined as alternating "darkred" and "darkgreen".

### Value

The function is called for its side effect.

### Author(s)

Andreas Buness <a.buness@dkfz.de>

### See Also

`boxplot.stats`

### Examples

          plotDistributions(cbind(rnorm(100),rnorm(100)),
                 main="Random Gaussians", labels = c("N1","N2"), ylab="scale")
          plotDistributions(as.matrix(1:100), quantiles=c(0.25,0.85),
                 main = "Random Gaussians", labels = c("N1"), ylab = "scale")

[Package Contents]